/**
 * This file is part of pppBenchmark, a program accompanying
 * the paper: Abeel, T, Van de Peer Y, Saeys Y.  2009.  Towards a gold standard for promoter prediction evaluation. Bioinformatics. 25(12):i313-i320.
    * 
 * Copyright 2009 Thomas Abeel
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see http://www.gnu.org/licenses/.
 *
 *
 */
package be.abeel.pppbenchmark;

class Site {
    public boolean overlaps(Site t) {
        if (this.start >= t.start && this.start <= t.end)
            return true;
        if (this.end >= t.start && this.end <= t.end)
            return true;
        if (this.start <= t.start && this.end >= t.end)
            return true;
        return false;
    }

    public Site(int start, int end) {
        this.start = start;
        this.end = end;
    }

    public int start, end;

    @Override
    public int hashCode() {
        return start * end;
    }

    @Override
    public boolean equals(Object o) {
        Site s = (Site) o;
        return s.start == start && s.end == end;
    }
}